DCMTK: FGFactory Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Static Private Attributes | List of all members
FGFactory Class Reference

Singleton class that is used to create functional groups by knowing their type or other unique features, i.e. offering factory functionality. More...

## Public Member Functions
FGBase * | create (const DcmFGTypes::E_FGType fgtype)
| Create new functional group based on given type.
FGBase * | create (const DcmTagKey &fgSequenceKey)
| Create new functional group based its unique sequence tag key.

## Static Public Member Functions
static FGFactory & | instance ()
| Return the single instance of the factory.

## Private Member Functions
| FGFactory ()
| Private undefined constructor (singleton implementation).
| FGFactory (const FGFactory &)
| Private undefined copy constructor (singleton implementation).
FGFactory & | operator= (const FGFactory &rhs)
| Private undefined assignment operator (singleton implementation).
| ~FGFactory ()
| Private undefined destructor (singleton implementation).

## Static Private Attributes
static FGFactory * | m_Instance
| The instance of FGFactory handled by this singleton class.

## Detailed Description

Singleton class that is used to create functional groups by knowing their type or other unique features, i.e. offering factory functionality.

## Member Function Documentation

## ◆ create() [1/2]

FGBase * FGFactory::create | ( | const DcmFGTypes::E_FGType | fgtype | ) |

Create new functional group based on given type.

Parameters

  fgtype | The type of functional group to create

Returns
  The functional group or NULL if error occurs

## ◆ create() [2/2]

FGBase * FGFactory::create | ( | const DcmTagKey & | fgSequenceKey | ) |

Create new functional group based its unique sequence tag key.

Parameters

  fgSequenceKey | Tag key of the functional groups sequence

Returns
  The functional group or NULL if error occurs

## ◆ instance()

FGFactory & FGFactory::instance | ( |  | ) |
| static

Return the single instance of the factory.

Returns
  The instance of FGFactory

References FGFactory().

## ◆ operator=()

FGFactory & FGFactory::operator= | ( | const FGFactory & | rhs | ) |
| private

Private undefined assignment operator (singleton implementation).

Parameters

  rhs | Right hand side of assignment

Returns
  Reference to this class

References FGFactory().

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgfact.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1